Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0033891
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 02. Master data managementminoralways2016-09-01 18:452016-09-05 12:46
ReporterngarciaView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version3.0PR16Q3.2
StatusclosedFix in branchFixed in SCM revisione461b45b3cd4
ProjectionnoneETAnoneTarget Version3.0PR16Q3.2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2016-04-14
Regression introduced in release3.0PR16Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/51adf3f34dbe [^]
Triggers an Emergency PackNo
Summary

0033891: Accounting default values not transferred from BP Category to Business Partner if the schema is assigned to a child organization

DescriptionAccounting default values not transferred from BP Category to Business Partner if the schema is assigned to a child organization
Steps To ReproduceAs group admin role:
   Check 'Customer - Tier 1' Business Partner Category has Accounting defined for F&B España, S.A. US/A/Euro and F&B International Group US/A/US Dollar general ledgers
   Create a Business Partner for *
   Check no records are created in Customer - Accounting tab. This is wrong.
   Create a Business Partner for F&B International Group
   Check only the record associated to F&B International Group US/A/US Dollar is created. This is wrong
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0033877 closedAtulOpenbravo Accounting default values not transferred from BP Category to Business Partner if the schema is assigned to a child organization 

-  Notes
(0089719)
AtulOpenbravo (developer)
2016-09-04 20:48

Test Plan

- Login as Group Admin role:
- Check 'Customer - Tier 1' Business Partner Category has Accounting defined for F&B España, S.A. US/A/Euro and F&B International Group US/A/US Dollar general ledgers
- Create a Business Partner for * Organization.
- Check both the records associated to F&B International Group US/A/US Dollar and F&B España, S.A. US/A/Euro are created in Customer - Accounting tab.
- Create a Business Partner for F&B International Group Organization.
- Check both the records associated to F&B International Group US/A/US Dollar and F&B España, S.A. US/A/Euro are created.

Repeat Test Plan II for https://issues.openbravo.com/view.php?id=32424 [^]
(0089747)
hgbot (developer)
2016-09-05 12:41

Repository: erp/backports/3.0PR16Q3.2
Changeset: e461b45b3cd4a2913aae596c9e78c3bfba6a2ab5
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Sep 05 00:11:51 2016 +0530
URL: http://code.openbravo.com/erp/backports/3.0PR16Q3.2/rev/e461b45b3cd4a2913aae596c9e78c3bfba6a2ab5 [^]

Fixes issue 33891: Accounting default values not transferred from child orgs

While creating default accounting configuration for business partner, schema configuration is also checked for child organization if no configurartion exists for org or its parent org.

Default accounts will be created retrieving first the accounting schema of current organization, then from parent organizations and then from children organizations.

For example, in case we have different accounting schemas for F&B International, F&B España and F&B España Norte, when creating a business partner for each of these organizations the order will be the following:
F&B International: F&B International - F&B España - F&B España Norte
F&B España: F&B España - F&B International - F&B España Norte
F&B España Norte: F&B España Norte - F&B España - F&B International

---
M src-db/database/model/triggers/C_BPARTNER_TRG.xml
---
(0089749)
aferraz (developer)
2016-09-05 12:46

Code review OK

- Issue History
Date Modified Username Field Change
2016-09-02 14:44 aferraz Type defect => backport
2016-09-02 14:44 aferraz Target Version => 3.0PR16Q3.2
2016-09-04 20:48 AtulOpenbravo Note Added: 0089719
2016-09-05 12:41 hgbot Checkin
2016-09-05 12:41 hgbot Note Added: 0089747
2016-09-05 12:41 hgbot Status scheduled => resolved
2016-09-05 12:41 hgbot Resolution open => fixed
2016-09-05 12:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR16Q3.2/rev/e461b45b3cd4a2913aae596c9e78c3bfba6a2ab5 [^]
2016-09-05 12:46 aferraz Review Assigned To => aferraz
2016-09-05 12:46 aferraz Note Added: 0089749
2016-09-05 12:46 aferraz Status resolved => closed
2016-09-05 12:46 aferraz Fixed in Version => 3.0PR16Q3.2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker